Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Interface ExtendedRpcCallback

All Superinterfaces:
  RpcCallback

    public interface ExtendedRpcCallback

extends RpcCallback

Extension to the `RpcCallback` interface. Allows a RPC messenger to get a confirmation if the reply was sent successfully to the original sender.

Author:
  fhanik

Method Summary
`void` | `replyFailed(Serializable request, Serializable response, Member sender, Exception reason)` The reply failed.
`void` | `replySucceeded(Serializable request, Serializable response, Member sender)` The reply succeeded

Methods inherited from interface org.apache.catalina.tribes.group.RpcCallback
`leftOver, replyRequest`

Method Detail

### replyFailed

    void replyFailed(Serializable request,
                     Serializable response,
                     Member sender,
                     Exception reason)

  The reply failed.

  Parameters:
    `request` - - the original message that requested the reply
    `response` - - the reply message to the original message
    `sender` - - the sender requested that reply
    `reason` - - the reason the reply failed

### replySucceeded

    void replySucceeded(Serializable request,
                        Serializable response,
                        Member sender)

  The reply succeeded

  Parameters:
    `request` - - the original message that requested the reply
    `response` - - the reply message to the original message
    `sender` - - the sender requested that reply

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.